Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 16 Mar 2023 07:11:01 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed and Order #9418650301 on 11th of this month. I got 2 messages of out for delivery and till today I haven't received anything.

Have contacted the customer care twice, I was informed the complaint has been registered and Order will be delivered. But no luck. This is not my 1st purchase with Centrepoint you all do better than this.

If I had to wait for so long to get my order, I would not ha e ordered attge 1st place.

Please check and let me know by when can I have my order delivered. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5856839